Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class ParentedResourceIDBuilder<T extends ParentedResourceID>

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>
              com.bea.portal.tools.resource.WebAppResourceIDBuilder<T>
                  com.bea.portal.tools.resource.ParentedResourceIDBuilder<T>

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  PortalParentedResourceIDBuilder

    public class ParentedResourceIDBuilder<T extends ParentedResourceID>

extends WebAppResourceIDBuilder<T>

Represents a ResourceIDBuilder for resources that have parents.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`ParentedResourceIDBuilder()` Constructor.
`ParentedResourceIDBuilder(ParentedResourceType resourceType)` Constructor.

Method Summary
`WebAppResourceID` | `getParentResourceID()`
`protected ResourceID` | `getRawParentResourceID()`
`protected ParentedResourceID` | `narrowParentedResourceID(ResourceID parentedResourceID)` Use this to narrow to a specific resourceId type in subclasses
`ParentedResourceIDBuilder<T>` | `parseResourceURN(String resourceURN)` Parse the given URN.
`ParentedResourceIDBuilder` | `setParentResourceID(ParentedResourceID parentedResourceID)` Change the parent `ParentedResourceID`.

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceIDBuilder
`getWebApp, getWebAppResourceID, setWebApp, setWebAppResourceID`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, createResourceID, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParentedResourceIDBuilder

    public ParentedResourceIDBuilder()

  Constructor.

### ParentedResourceIDBuilder

    public ParentedResourceIDBuilder(ParentedResourceType resourceType)

  Constructor.

Method Detail

### parseResourceURN

    public ParentedResourceIDBuilder<T> parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `WebAppResourceIDBuilder<T extends ParentedResourceID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getRawParentResourceID

    protected ResourceID getRawParentResourceID()

### getParentResourceID

    public WebAppResourceID getParentResourceID()

### setParentResourceID

    public ParentedResourceIDBuilder setParentResourceID(ParentedResourceID parentedResourceID)

  Change the parent `ParentedResourceID`.

  Parameters
    `ParentResourceID` - the parent `ParentedResourceID`
  Returns
    this `ParentedResourceIDBuilder`

### narrowParentedResourceID

    protected ParentedResourceID narrowParentedResourceID(ResourceID parentedResourceID)

  Use this to narrow to a specific resourceId type in subclasses

  Parameters
    `parentedResourceID` -
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.